Downgrade to v12.5 Procedure

Discussion in '3CX Phone System - General' started by joebocop, Dec 8, 2015.

Thread Status:
Not open for further replies.
  1. joebocop

    Joined:
    Dec 12, 2013
    Messages:
    96
    Likes Received:
    0
    Has anyone tried the "export --> uninstall --> install --> import" workflow for downgrading from v14 SP2 back to v12.5?

    I reckon it won't work, but wondered if anyone had yet tried.

    We've not found v14 sp2 to be as useful to us as was v12.5, and are being asked by management to roll back. Might be easier to restore a vm backup from before the upgrade and lose the voicemails, etc, that have accumulated since the upgrade.
     
  2. craigreilly

    craigreilly Well-Known Member

    Joined:
    Feb 1, 2012
    Messages:
    3,069
    Likes Received:
    201
    You could probably backup the VM folder, then restore from an older v12 backup and replace the VM folder.
    < I have not tested this - but in theory should work >
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  3. joebocop

    Joined:
    Dec 12, 2013
    Messages:
    96
    Likes Received:
    0
    I think that's what we're planning to try. More weekend work, yahoo!
     
  4. nb

    nb Support Team
    Staff Member 3CX Support

    Joined:
    Jun 7, 2007
    Messages:
    2,110
    Likes Received:
    143
    this is a breaking change... Do not waste your time..
    If you have non stopper issues on V14, do not downgrade.. Databases do not work like this..
    You should have a backup of v12.5 and go back to the machine you had before...
    You will loose couple of updates since you moved to v14.
    Or write in a post what your issues are, purchase a support contract something, and we will assist you and see what your problems are WHILST you are still on V14.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  5. joebocop

    Joined:
    Dec 12, 2013
    Messages:
    96
    Likes Received:
    0
    Thanks nickybrg,

    Indeed, we have a backup from the moment just before I elected to perform the upgrade to v14SP2. It is perhaps our best option at this time.

    My main issue is the inability to reprovision phones, or provision any new phones (including factory-reset previously-provisioned ones) since the upgrade, as documented in a thread I chimed-in on, here (http://www.3cx.com/forums/upgrade-from-v12-o-v14-and-yealink-emplates-43443.html).

    I will continue to pursue a solution to that issue via that thread, or roll back to v12.5 as you've suggested.
     
  6. nb

    nb Support Team
    Staff Member 3CX Support

    Joined:
    Jun 7, 2007
    Messages:
    2,110
    Likes Received:
    143
    We can help you see why you cannot provision these phones.
    I will contact you directly.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
Thread Status:
Not open for further replies.